Skip site navigation (1) Skip section navigation (2)

Re: bug 1627 on current versions of postgres and macos

From: Tom Lane <tgl(at)sss(dot)pgh(dot)pa(dot)us>
To: Steven Pennebaker <sgp(at)surfnetusa(dot)com>
Cc: pgsql-ports(at)postgresql(dot)org
Subject: Re: bug 1627 on current versions of postgres and macos
Date: 2006-05-10 05:03:55
Message-ID: 26432.1147237435@sss.pgh.pa.us (view raw or flat)
Thread:
Lists: pgsql-ports
Steven Pennebaker <sgp(at)surfnetusa(dot)com> writes:
> ... postgresql 8.1.3 on mac os 10.4.6 fails to build:

It works for me (on this same powerbook that I'm typing on) and for
several Macs in the buildfarm.

> file: -lSystem is not an object file (not allowed in a library)

Offhand that looks like some reports that we've seen before about
obsolete tool chains, ie, I think you forgot to update Xcode when
you updated to Tiger.  See for instance this thread:
http://archives.postgresql.org/pgsql-general/2005-05/msg00830.php

PG 8.1 does generate a pile of warnings when compiled on Tiger
w/current Xcode, but they're pretty harmless.  As of CVS HEAD
we're clean, that is I see just the same one or two flex-induced
warnings on OS X as anywhere else...

			regards, tom lane

In response to

pgsql-ports by date

Next:From: Mark CampbellDate: 2006-05-11 14:00:30
Subject: Compiling on 8.1.3 on Openserver 5.05
Previous:From: juan gabrielDate: 2006-05-08 13:49:49
Subject: how can i connect delphi with postgre ?

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group